Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1893525 - git-remote-hg is too old
Summary: git-remote-hg is too old
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git-remote-hg
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Stodulka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-01 13:13 UTC by H.J. Lu
Modified: 2020-12-10 01:26 UTC (History)
4 users (show)

Fixed In Version: git-remote-hg-1.0.0-7.fc33 git-remote-hg-1.0.0-6.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-10 01:13:35 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github mnauw git-remote-hg issues 33 0 None closed "git fetch" doesn't work on hg::https://gmplib.org/repo/gmp/ 2021-01-05 07:24:59 UTC

Description H.J. Lu 2020-11-01 13:13:21 UTC
git-remote-hg 1.0.0 can't handle GMP import.  The current version is v1.0.2.1:

https://github.com/mnauw/git-remote-hg/commit/929ae262f5d186fc64621dde37d20195a0fc5a49

Comment 1 Petr Stodulka 2020-11-02 14:07:53 UTC
Hi, thanks for the report. The newest version of git-remote-hg use by default Python3 now. I could switch it to python2 again but instead of that, I prefer to keep python3 only. I am in sync with @opohorel about the Python2 drop from mercurial on rawhide. See https://src.fedoraproject.org/rpms/mercurial/pull-request/13 to get informed about the progress. Once the py2 is dropped from mercurial, I will rebase it and create new builds. It seems we could get there during 2weeks.

Comment 2 Petr Stodulka 2020-11-23 18:29:11 UTC
Here is opened PR for git-remote-hg rebase and port to Py3:
  - https://src.fedoraproject.org/rpms/git-remote-hg/pull-request/3

I am going to give it some time this week. Currently I need to check installation, updates from older versions, and at least the basic functionality.

I will be thinking about possibility to update git-remote-hg on F33 as well. Fedora 32 will stay probably in the current state.

Comment 3 Petr Stodulka 2020-12-01 00:56:31 UTC
I am not sure when the new version could be merged. So for now I backported the patch to sanitize "funky" refnames. Problem should be fixed for F32+ once the builds go through testing workflow.

Comment 4 Fedora Update System 2020-12-01 01:04:39 UTC
FEDORA-2020-b49208e855 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b49208e855

Comment 5 Fedora Update System 2020-12-01 01:04:39 UTC
FEDORA-2020-96378cb595 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-96378cb595

Comment 6 Fedora Update System 2020-12-02 01:38:37 UTC
FEDORA-2020-96378cb595 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-96378cb595`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-96378cb595

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-12-02 02:26:59 UTC
FEDORA-2020-b49208e855 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b49208e855`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b49208e855

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-12-10 01:13:35 UTC
FEDORA-2020-96378cb595 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-12-10 01:26:38 UTC
FEDORA-2020-b49208e855 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.